<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: byte_stack/byte_stack.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d497dcaae93ca88b62dcb5fe9a3c073.html">byte_stack</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">byte_stack.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="byte__stack_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef BYTE_STACK_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define BYTE_STACK_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;stddef.h&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="structbyte__stack.html">    9</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structbyte__stack.html">byte_stack</a></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;{</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="structbyte__stack.html#a7b78fc8dde7c5c2b76176106e087b1de">   11</a></span>&#160;    uint8_t* <a class="code" href="structbyte__stack.html#a7b78fc8dde7c5c2b76176106e087b1de">start</a>;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="structbyte__stack.html#abd1acb187be8f3b30a79336d4962993f">   12</a></span>&#160;    uint8_t* <a class="code" href="structbyte__stack.html#abd1acb187be8f3b30a79336d4962993f">end</a>;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="structbyte__stack.html#a278d9bd0fbe2b74f26f770333a7f62ed">   13</a></span>&#160;    uint8_t* <a class="code" href="structbyte__stack.html#a278d9bd0fbe2b74f26f770333a7f62ed">sp</a>;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;} <a class="code" href="byte__stack_8h.html#a94abcd556babeb1c82cb26f283376928">byte_stack_t</a>;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keywordtype">void</span> <a class="code" href="byte__stack_8h.html#a6df5faac0c76d866ca9084975524c388">byte_stack_init</a>(<a class="code" href="structbyte__stack.html">byte_stack_t</a>* <span class="keyword">const</span> bs, uint8_t* memory, <span class="keywordtype">size_t</span> size);</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keywordtype">int</span> <a class="code" href="byte__stack_8h.html#aaa65b6d07332895e7f4006ea6fd9f78c">byte_stack_push</a>(<a class="code" href="structbyte__stack.html">byte_stack_t</a>* <span class="keyword">const</span> bs, <span class="keywordtype">void</span>* <span class="keyword">const</span> data, <span class="keywordtype">size_t</span> size);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="ttc" id="structbyte__stack_html_abd1acb187be8f3b30a79336d4962993f"><div class="ttname"><a href="structbyte__stack.html#abd1acb187be8f3b30a79336d4962993f">byte_stack::end</a></div><div class="ttdeci">uint8_t * end</div><div class="ttdef"><b>Definition:</b> byte_stack.h:12</div></div>
<div class="ttc" id="byte__stack_8h_html_aaa65b6d07332895e7f4006ea6fd9f78c"><div class="ttname"><a href="byte__stack_8h.html#aaa65b6d07332895e7f4006ea6fd9f78c">byte_stack_push</a></div><div class="ttdeci">int byte_stack_push(byte_stack_t *const bs, void *const data, size_t size)</div><div class="ttdef"><b>Definition:</b> byte_stack.c:15</div></div>
<div class="ttc" id="byte__stack_8h_html_a6df5faac0c76d866ca9084975524c388"><div class="ttname"><a href="byte__stack_8h.html#a6df5faac0c76d866ca9084975524c388">byte_stack_init</a></div><div class="ttdeci">void byte_stack_init(byte_stack_t *const bs, uint8_t *memory, size_t size)</div><div class="ttdef"><b>Definition:</b> byte_stack.c:6</div></div>
<div class="ttc" id="structbyte__stack_html_a7b78fc8dde7c5c2b76176106e087b1de"><div class="ttname"><a href="structbyte__stack.html#a7b78fc8dde7c5c2b76176106e087b1de">byte_stack::start</a></div><div class="ttdeci">uint8_t * start</div><div class="ttdef"><b>Definition:</b> byte_stack.h:11</div></div>
<div class="ttc" id="structbyte__stack_html"><div class="ttname"><a href="structbyte__stack.html">byte_stack</a></div><div class="ttdef"><b>Definition:</b> byte_stack.h:9</div></div>
<div class="ttc" id="byte__stack_8h_html_a94abcd556babeb1c82cb26f283376928"><div class="ttname"><a href="byte__stack_8h.html#a94abcd556babeb1c82cb26f283376928">byte_stack_t</a></div><div class="ttdeci">struct byte_stack byte_stack_t</div></div>
<div class="ttc" id="structbyte__stack_html_a278d9bd0fbe2b74f26f770333a7f62ed"><div class="ttname"><a href="structbyte__stack.html#a278d9bd0fbe2b74f26f770333a7f62ed">byte_stack::sp</a></div><div class="ttdeci">uint8_t * sp</div><div class="ttdef"><b>Definition:</b> byte_stack.h:13</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
